SchoolScout API
DistrictsDistrictid

Get district details

Get full details for a district. Returns NCES data always; intelligence data only if unlocked. **Free (0 credits) -- does not auto-unlock.**

GET
/districts/{districtId}

Get full details for a district. Returns NCES data always; intelligence data only if unlocked. Free (0 credits) -- does not auto-unlock.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

districtId*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/districts/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "nces_id": "string",
  "name": "string",
  "state": "string",
  "website_url": "string",
  "student_count": -9007199254740991,
  "school_count": -9007199254740991,
  "grade_span": "string",
  "locale_type": "string",
  "total_revenue": 0,
  "revenue_per_student": 0,
  "total_expenditures": 0,
  "expenditures_per_student": 0,
  "instructional_expenditures": 0,
  "instructional_expenditures_percent": 0,
  "support_services_expenditures": 0,
  "student_teacher_ratio": 0,
  "total_staff": 0,
  "ai_policy_summary": "string",
  "technology_level": "string",
  "ai_initiatives": [
    null
  ],
  "edtech_products": [
    null
  ],
  "meeting_minutes_pdfs": [
    null
  ],
  "physical_address": "string",
  "physical_city": "string",
  "physical_state": "string",
  "physical_zip": "string",
  "mailing_address": "string",
  "mailing_city": "string",
  "mailing_state": "string",
  "mailing_zip": "string",
  "phone": "string",
  "county": "string",
  "state_district_id": "string",
  "district_type": "string",
  "teachers_fte": 0,
  "nces_data_year": "string",
  "latitude": 0,
  "longitude": 0,
  "buying_signals": [
    null
  ],
  "vendor_stack": {
    "property1": null,
    "property2": null
  },
  "strategic_priorities": [
    null
  ],
  "executive_summary": "string",
  "ai_summary": "string",
  "timeline": [
    null
  ],
  "summary_generated_at": "string",
  "status": "pending",
  "website_mapped_at": "string",
  "content_fetched_at": "string",
  "content_extracted_at": "string",
  "last_analysis_job_id": "550e8400-e29b-41d4-a716-446655440000",
  "data_source": "string",
  "crawled_at": "string",
  "error_message": "string",
  "retry_count": -9007199254740991,
  "notes": "string",
  "last_updated_at": "string",
  "created_at": "string",
  "_access": {
    "is_unlocked": true,
    "is_scouting": true,
    "unlocked_at": "string",
    "credits_spent": 0,
    "unlock_cost": 0
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty